clang 10.0.0git

Functions
HeaderMap.cpp File Reference
`#include "clang/Lex/HeaderMap.h"`
`#include "clang/Lex/HeaderMapTypes.h"`
`#include "clang/Basic/CharInfo.h"`
`#include "clang/Basic/FileManager.h"`
`#include "llvm/ADT/SmallString.h"`
`#include "llvm/Support/Compiler.h"`
`#include "llvm/Support/DataTypes.h"`
`#include "llvm/Support/MathExtras.h"`
`#include "llvm/Support/MemoryBuffer.h"`
`#include "llvm/Support/SwapByteOrder.h"`
`#include "llvm/Support/Debug.h"`
`#include <cstring>`
`#include <memory>`
Include dependency graph for HeaderMap.cpp:

Go to the source code of this file.

## Functions
static unsigned | HashHMapKey (StringRef Str)
| HashHMapKey - This is the 'well known' hash function required by the file format, used to look up keys in the hash table. More...

## Function Documentation

## ◆ HashHMapKey()

static unsigned HashHMapKey | ( | StringRef | Str | ) |
| inline static

HashHMapKey - This is the 'well known' hash function required by the file format, used to look up keys in the hash table.

The hash table uses simple linear probing based on this function.

Definition at line 31 of file HeaderMap.cpp.